Subject: [bug#69396] [PATCH core-updates v2] gnu: ld-wrapper: Also unset GUILE_LOAD_PATH.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 27 Feb 2024 10:23:00 +0100

Hi,

Maxim Cournoyer <[email-masked]> skribis:

> The following problem was discovered while attempting to configure Guix to use
> a locally built Guile tree, via its meta/uninstalled-env script, which would
> attempt to use the newer Guile source files and fail with:
>
>   Pre-boot error; key: unbound-variable, args: (#f "Unbound variable:
>   ~S" (error) #f)collect2: fatal error: ld terminated with signal 6 [Aborted]
>
> With the following change, a Guix user may now configure their build to use a
> locally built Guile with e.g.:
>
>   ~/src/guile/meta/uninstalled-env ./configure --localstatedir=/var \
>   --sysconfdir=/etc
>
> * gnu/packages/ld-wrapper.in: Unset GUILE_LOAD_PATH.  Also unset
> GUILE_SYSTEM_PATH, for symmetry.  Streamline exec call, using the now fixed
> '-l' option.
> (ld-wrapper): Fix args being a nested list, and strip its arg0.
>
> Change-Id: Iaaa721019f3646d851202bb018214ec9fcc04fd4
> ---
>
> Changes in v2:
>  - Revert to load-compiled scheme to load ld.go
>  - Refine comment

LGTM!

I’ll let you check with Josselin et al. whether to merge it now in
‘core-updates’ (my gut feeling is that we’d rather wait for the next
cycle, but I’ve haven’t been following lately.)

Thanks,
Ludo’.